package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglXfclSb;
import com.mosty.base.model.query.jcgl.TbJcglXfclSbQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbJcglXfclSbService {

    @ApiOperation("新增车辆设备")
    int addEntity(TbJcglXfclSb dto);

    @ApiOperation("修改车辆设备")
    int editEntity(TbJcglXfclSb dto);

    @ApiOperation("批量删除")
    Integer delEntity(List<String> ids);

    @ApiOperation("根据id查询设备详情")
    TbJcglXfclSb getInfo(String id);

    @ApiOperation("根据id删除车辆设备")
    Integer deleteById(String id);

    @ApiOperation("分页查询车辆设备列表")
    IPage<TbJcglXfclSb> getXfclSbPage(TbJcglXfclSbQuery dto);

    @ApiOperation("查询车辆设备列表")
    List<TbJcglXfclSb> getXfclSbList(TbJcglXfclSbQuery dto);
}
